Package org.picocontainer

# Interface Converters

All Known Implementing Classes:
  `BuiltInConverters`, `CompositePicoContainer.CompositeConverters`, `ConvertsNothing`

public interface Converters
A facade for a collection of converters that provides string-to-type conversions.

Author:
  Paul Hammant, Michael Rimov

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Type type)`
Returns true if a converters is available to convert to the given object type
`Object`
`convert(String value, Type type)`
Converts a particular string value into the target type

## Method Details

### canConvert

boolean canConvert(Type type)
Returns true if a converters is available to convert to the given object type

Parameters:
  `type` - the object Type to convert to
Returns:
  true if the type can be converted to

### convert

Object convert(String value, Type type)
Converts a particular string value into the target type

Parameters:
  `value` - the String value to convert
  `type` - the object Type to convert to
Returns:
  The converted Object instance